package com.bytedance.android.livesdk.livesetting.subscription;

import android.text.TextUtils;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;
import kotlin.h.b.n;
import org.json.JSONObject;

@SettingsKey("live_subscription_invitation_lynx_url")
public final class SubscribeInvitationLynxUrlSetting {
    @Group(isDefault = true, value = "default group")
    public static final String DEFAULT = "";
    public static final SubscribeInvitationLynxUrlSetting INSTANCE;
    public static final String home_page;
    public static final String invitation_card;
    public static final String wrong_invitation;

    public final String getHome_page() {
        return home_page;
    }

    public final String getInvitation_card() {
        return invitation_card;
    }

    public final String getWrong_invitation() {
        return wrong_invitation;
    }

    public final JSONObject getValue() {
        Class<SubscribeInvitationLynxUrlSetting> cls = SubscribeInvitationLynxUrlSetting.class;
        if (TextUtils.isEmpty(SettingsManager.INSTANCE.getStringValue(cls))) {
            return new JSONObject();
        }
        return new JSONObject(SettingsManager.INSTANCE.getStringValue(cls));
    }

    static {
        Covode.recordClassIndex(18340);
        SubscribeInvitationLynxUrlSetting subscribeInvitationLynxUrlSetting = new SubscribeInvitationLynxUrlSetting();
        INSTANCE = subscribeInvitationLynxUrlSetting;
        String optString = subscribeInvitationLynxUrlSetting.getValue().optString("home_page", "");
        n.LIZIZ(optString, "");
        home_page = optString;
        String optString2 = subscribeInvitationLynxUrlSetting.getValue().optString("invitation_card", "");
        n.LIZIZ(optString2, "");
        invitation_card = optString2;
        String optString3 = subscribeInvitationLynxUrlSetting.getValue().optString("wrong_invitation", "");
        n.LIZIZ(optString3, "");
        wrong_invitation = optString3;
    }
}
